## gtk+3.0 3.2.3

=== debian/changelog ===
gtk+3.0 (3.2.3-1) unstable; urgency=low

  * New upstream release.
    - Fixes segfault on arrow keypress in empty GtkIconView. Closes: #638704
    - Fixes a11y related crash in treeview. Closes: #652073
    - Fixes mouse grabbing when clicking resize grip. Closes: #630972
  * Update patches:
    - Drop 000git_gtk_tree_view_get_tooltip_context_annotation.patch, applied
      upstream.
    - Drop 080_filechooserdefault-Don-t-unref-value-twice.patch, applied
      upstream.
    - Refresh 017_no_offscreen_device_grabbing.patch,
      042_treeview_single-focus.patch and 043_notebook_scroll.patch.
  * Change section of gir1.2-gtk-3.0 to introspection.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Dec 2011 18:42:32 +0100
