=== debian/control ===
--- 
+++ 
@@ -243,6 +243,7 @@
 # This package contains the pixbuf theme engine.
 
 Package: gir1.2-gtk-3.0
+Section: introspection
 Architecture: any
 Depends: libgtk-3-common,
          ${misc:Depends},
