## gtk+3.0 3.3.16

=== debian/changelog ===
gtk+3.0 (3.3.16-1) experimental; urgency=low

  * New upstream development release.
  * debian/libgtk-3-0.symbols: Add new symbols.
  * debian/rules: Bump SHVER to 3.3.16.
  * debian/control.in:
    - Bump (Build-)Depends on libglib2.0-dev to (>= 2.31.18).
    - Bump (Build-)Depends on libgdk-pixbuf2.0-dev to (>= 2.25.2).
    - Drop Depends on libxml2-utils from libgtk-3-dev as gtk-builder-convert
      has been removed.
    - Drop Recommends on python and debhelper from libgtk-3-dev since it no
      longer includes a dh_gtkmodules debhelper addon.
    - Bump Breaks against gnome-themes-standard due to theming related
      changes.
  * Remove leftovers from the gtk3-engines-pixbuf package.
  * Update patches:
    - Drop 003_gdk.pc_privates.patch, fixed upstream in a similar way.
    - Drop 70-Fix-document-generation-in-out-of-tree-builds.patch, applied
      upstream.
    - Drop 041_ia32-libs.patch, no longer required with multiarch.
    - Disable 042_treeview_single-focus.patch for now since it has no
      description why this patch is needed and it needs to be updated.
    - Refresh remaining patches.
  * debian/gtk-3-examples.install.in: Install gtk3-widget-factory demo
    application.
  * Stop building static libraries which require a full separate build and
    appear to be unused.
  * Enable colord support for color-managed printing. Keep it disabled for the
    udeb build.

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Mar 2012 01:16:05 +0100
