=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                gettext,
                pkg-config,
                autotools-dev,
-               libglib2.0-dev (>= 2.30.0),
-               libgdk-pixbuf2.0-dev (>= 2.24.0),
+               libglib2.0-dev (>= 2.31.18),
+               libgdk-pixbuf2.0-dev (>= 2.25.2),
                libpango1.0-dev (>= 1.29.0),
                libatk1.0-dev (>= 2.1.5),
                libx11-dev (>= 2:1.3.3-2),
@@ -32,6 +32,7 @@
                libcairo2-dev (>= 1.10.0),
                x11proto-xext-dev,
                libcups2-dev (>= 1.2),
+               libcolord-dev (>= 0.1.9),
                gobject-introspection (>= 0.10.8-2),
                libgirepository1.0-dev (>= 0.10.8-2),
                gir1.2-glib-2.0,
@@ -63,7 +64,7 @@
           gvfs
 Conflicts: libgtk3.0-0
 Replaces: libgtk3.0-0
-Breaks: gnome-themes-standard (<< 3.2),
+Breaks: gnome-themes-standard (<< 3.3),
         murrine-themes (<= 0.98.2)
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -140,8 +141,8 @@
          libgtk-3-common,
          ${misc:Depends},
          ${shlibs:Depends},
-         libglib2.0-dev (>= 2.28.0),
-         libgdk-pixbuf2.0-dev (>= 2.22.1),
+         libglib2.0-dev (>= 2.31.18),
+         libgdk-pixbuf2.0-dev (>= 2.25.2),
          libpango1.0-dev (>= 1.24),
          libatk1.0-dev (>= 1.32.0),
          libcairo2-dev (>= 1.9.10),
@@ -154,10 +155,7 @@
          libxfixes-dev (>= 1:3.0.0-3),
          libxcomposite-dev (>= 1:0.2.0-3),
          libxdamage-dev (>= 1:1.0.1-3),
-         pkg-config (>= 0.26-1),
-         libxml2-utils
-Recommends: python (>= 2.4),
-            debhelper
+         pkg-config (>= 0.26-1)
 Suggests: libgtk-3-doc
 Conflicts: libgtk3.0-dev
 Replaces: libgtk3.0-dev
@@ -167,8 +165,8 @@
  for projects ranging from small one-off tools to complete application
  suites.
  .
- This package contains the header files and static libraries which are
- needed for developing GTK+ applications.
+ This package contains the header and development files which are
+ needed for building GTK+ applications.
 
 Package: libgtk-3-0-dbg
 Section: debug
@@ -226,21 +224,6 @@
  .
  This package contains the example files and a demonstration program
  for GTK+3.
-
-#Package: gtk3-engines-pixbuf
-#Section: graphics
-#Architecture: any
-#Depends: ${misc:Depends},
-#         ${shlibs:Depends},
-#         libgtk-3-0 (= ${binary:Version}),
-#         libgtk-3-common
-#Description: pixbuf-based theme for GTK+ 3.x
-# GTK+ is a multi-platform toolkit for creating graphical user
-# interfaces. Offering a complete set of widgets, GTK+ is suitable
-# for projects ranging from small one-off tools to complete application
-# suites.
-# .
-# This package contains the pixbuf theme engine.
 
 Package: gir1.2-gtk-3.0
 Section: introspection
