=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 DEB_BUILDDIR = debian/build
 DEB_MAKE_DESTDIRSKEL = $(CURDIR)/debian/install/@FLAVOR@
-DEB_MAKE_FLAVORS = shared shared_udeb static
+DEB_MAKE_FLAVORS = shared shared_udeb
 DISABLE_UPDATE_UPLOADERS = 1
 
 include /usr/share/cdbs/1/rules/autoreconf.mk
@@ -23,7 +23,7 @@
 
 APIVER := 3
 SONAME := 0
-SHVER := 3.1.90
+SHVER := 3.3.16
 
 LIBDIR := usr/lib/$(DEB_HOST_MULTIARCH)
 
@@ -49,7 +49,6 @@
 BIN_PKG := libgtk-$(APIVER)-bin
 DEBUG_PKG := $(SHARED_PKG)-dbg
 EXAMPLES_PKG := gtk-$(APIVER)-examples
-PIXBUF_PKG := gtk3-engines-pixbuf
 
 
 DEB_CONFIGURE_EXTRA_FLAGS = \
@@ -60,22 +59,17 @@
 DEB_CONFIGURE_FLAGS_shared = \
 			--enable-gtk-doc \
 			--enable-shared \
-			--enable-introspection=yes \
+			--enable-introspection \
+			--enable-colord \
 			--disable-static
 
 DEB_CONFIGURE_FLAGS_shared_udeb = \
-			--enable-introspection=no \
+			--disable-introspection \
+			--disable-colord \
 			--disable-xcomposite \
 			--disable-xdamage \
 			--disable-xfixes \
 			--disable-xrandr
-
-DEB_CONFIGURE_FLAGS_static = \
-			--with-included-loaders=yes \
-			--enable-introspection=no \
-			--disable-modules \
-			--disable-shared \
-			--enable-static
 
 DEB_MAKE_CHECK_TARGET = -k check || true
 DEB_INSTALL_DOCS_ALL = AUTHORS
@@ -107,7 +101,6 @@
 		-e "s#@BIN_PKG@#$(BIN_PKG)#g" \
 		-e "s#@DEBUG_PKG@#$(DEBUG_PKG)#g" \
 		-e "s#@EXAMPLES_PKG@#$(EXAMPLES_PKG)#g" \
-		-e "s#@PIXBUF_PKG@#$(PIXBUF_PKG)#g" \
 		-e "s#@GNOME_TEAM@#$(UPLOADERS)#g" \
 		-e "s#@GTK_BINARY_VERSION@#$(GTK_BINARY_VERSION)#g" \
 		-e "s#@LIBDIR@#$(LIBDIR)#g" \
