## gtk+3.0 3.4.1

=== debian/changelog ===
gtk+3.0 (3.4.1-0ubuntu1) precise-proposed; urgency=low

  * New upstream bug fix release:
    - Custom theme can crash apps with GtkEntryCompletion
    - Window expands horizontally rather than the text entry growing
    - conflict between srcdir != builddir and generated enum types
    - Wayland and X11 backends simultaneously enabled is broken
    - Anchored widgets inside GtkTextView are drawn out of place
    - gtk file-chooser: Autocompletion - Dropdown-list: selection fails
    - windows draw as unfocused/backdrop on window managers
    - URL to mailing lists in README incorrect
    - gactionmuxer: Fix list_actions
    - After clicking empty parts of a toolbar/menubar the next mouse click
      (button release) does not work
    - shouldn't set GDK_SOURCE_TOUCHSCREEN based on the name
    - GtkTreeView should not handle extra mouse buttons
    - GdkEventButton contains wrong buttons in modifier mask for button
      releases
    - entrycompletion: set_property() should use property setter functions
    - application-window: try to use the desktop name in the fallback menu
    - Deal more gracefully with a flood of scroll events
    - Translation updates.
  * Drop patches which are upstream now:
    - upstream_treeview_rendering.patch
    - git_filechooser_selection.patch
    - no_touchscreen_name_hack.patch
    - git_dont_ignore_button_release_event.patch
    - git_shrinkable_widget.patch
    - git_scrolling_performances.patch
  * debian/control.in: Bump Build dependencies as per upstream configure.ac.
  * Add 00git_gtkimage_cleanup_crash.patch: GtkImage: Move the freeing of the
    icon_helper from the destory to the finalize function to avoid segfaults
    when trying to access a destroyed object before it is disposed. This often
    happens in signal handlers which get called asynchronously after destroy.
    Patch cherrypicked from upstream git head. (LP: #938090, same in
    LP#946463)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 16 Apr 2012 10:28:54 +0200

gtk+3.0 (3.4.0-0ubuntu5) precise-proposed; urgency=low

  * debian/patches/git_scrolling_performances.patch:
    "Don't call gdk_window_process_updates() when scrolling
     This can cause lagging when scrolling as it causes us to repaint
     on every scroll event. This wasn't historically a great problem,
     but with smooth scrolling we get a lot more events, so this
     now creates visible lagging on slower machines."

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 05 Apr 2012 23:29:06 +0200

gtk+3.0 (3.4.0-0ubuntu4) precise-proposed; urgency=low

  * debian/patches/no_touchscreen_name_hack.patch:
    - drop the hack to make devices which are named with "touch" to be
      touchscreen, it's not the case for i.e "appletouch" (lp: #965311)
  * debian/patches/git_dont_ignore_button_release_event.patch:
    - "Don't ignore button releases after a wmspec move/resize"
  * debian/patches/git_shrinkable_widget.patch:
    - git patch, should fix empathy resizing horizontally when it shouldn't
      (lp: #903779)

  [ Didier Roche ]
  * debian/patches/git_gtkcellrenderer_grabbing_modifier.patch:
    - upstream patch to support modifier 'tapping' (LP: #969256)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 05 Apr 2012 11:59:18 +0200

gtk+3.0 (3.4.0-0ubuntu3) precise; urgency=low

  * debian/patches/043_ubuntu_menu_proxy.patch:
    - Revert my changes to add back ubuntu-local.  It caused a new bug
      (LP: #971459) that caused menubars to pop in and out on startup.
      Since the patch was added largely for glade's benefit, we can
      just blacklist glade in appmenu-gtk instead.

 -- Michael Terry <mterry@ubuntu.com>  Mon, 02 Apr 2012 10:39:28 -0400

gtk+3.0 (3.4.0-0ubuntu2) precise; urgency=low

  * debian/patches/upstream_treeview_rendering.patch:
    - upstream fix for treeview expanders not always being rendered 
      (lp: #963862)
  * debian/patches/git_filechooser_selection.patch:
    - git patch, fixes selection in filechooser dropdown locations list
      (lp: #964491)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 30 Mar 2012 16:29:36 +0200

gtk+3.0 (3.4.0-0ubuntu1) precise-proposed; urgency=low

  * New upstream version
  * debian/patches/dont_show_numlock_warning.patch:
   - dropped, the patch is in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 26 Mar 2012 17:25:00 +0200

gtk+3.0 (3.3.20-0ubuntu1) precise; urgency=low

  * New upstream version
  * debian/control.in:
    - drop individual gir build-depends
  * debian/patches/git_touchpad_like_mouse.patch,
    debian/patches/git_scroll_reset.patch,
    debian/patches/dont_rename_annotation.patch:
    - dropped, the fixes are in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 20 Mar 2012 19:26:29 +0100

gtk+3.0 (3.3.18-0ubuntu4) precise; urgency=low

  * debian/patches/git_touchpad_like_mouse.patch:
    - git patch, a touchpad device should behave like a mouse and not like a
       touchscreen (lp: #949414) 

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Tue, 20 Mar 2012 10:28:45 +0100

gtk+3.0 (3.3.18-0ubuntu3) precise; urgency=low

  * debian/patches/043_ubuntu_menu_proxy.patch:
    - Add back 'ubuntu-local' property for GtkMenuBar to allow apps to
      opt-out of the global bar on a per-menubar basis.  (Used for glade,
      freeciv, and maybe others)

 -- Michael Terry <mterry@ubuntu.com>  Fri, 16 Mar 2012 11:55:09 -0400

gtk+3.0 (3.3.18-0ubuntu2) precise; urgency=low

  * debian/patches/git_scroll_reset.patch: git patch, should fix issues where 
    it seemed like events where skipped during the scrolling

  [ Ken VanDine ]
  * debian/patches/099_eventbox_scroll_mask.patch
    - Added GDK_SCROLL_MASK to GdkEventBox

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Mar 2012 18:07:03 +0100

gtk+3.0 (3.3.18-0ubuntu1) precise; urgency=low

  * New upstream version
    * Add support for touch devices
    - New device types GDK_SOURCE_TOUCHSCREEN and GDK_SOURCE_TOUCHPAD for 
      direct and indirect touch devices

