=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: gtk+3.0
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                cdbs (>= 0.4.90~),
                gnome-pkg-tools (>= 0.11),
@@ -12,10 +13,10 @@
                gettext,
                pkg-config,
                autotools-dev,
-               libglib2.0-dev (>= 2.31.18),
-               libgdk-pixbuf2.0-dev (>= 2.25.2),
-               libpango1.0-dev (>= 1.29.0),
-               libatk1.0-dev (>= 2.1.5),
+               libglib2.0-dev (>= 2.32.0),
+               libgdk-pixbuf2.0-dev (>= 2.26.0),
+               libpango1.0-dev (>= 1.30.0),
+               libatk1.0-dev (>= 2.2.0),
                libx11-dev (>= 2:1.3.3-2),
                libxext-dev (>= 2:1.1.1-3),
                libxi-dev (>= 2:1.3-4),
@@ -32,14 +33,8 @@
                libcairo2-dev (>= 1.10.0),
                x11proto-xext-dev,
                libcups2-dev (>= 1.2),
-               libcolord-dev (>= 0.1.9),
-               gobject-introspection (>= 0.10.8-2),
-               libgirepository1.0-dev (>= 0.10.8-2),
-               gir1.2-glib-2.0,
-               gir1.2-freedesktop,
-               gir1.2-atk-1.0,
-               gir1.2-pango-1.0,
-               gir1.2-gdkpixbuf-2.0
+               gobject-introspection (>= 1.32.0),
+               libgirepository1.0-dev (>= 1.32.0)
 Build-Depends-Indep: docbook-xml,
                      docbook-utils,
                      libglib2.0-doc,
@@ -47,8 +42,7 @@
                      libpango1.0-doc,
                      libcairo2-doc
 Standards-Version: 3.9.2
-Vcs-Svn: svn://svn.debian.org/pkg-gnome/desktop/unstable/gtk+3.0/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/gtk+3.0/
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gtk/ubuntugtk3
 Homepage: http://www.gtk.org/
 
 Package: libgtk-3-0
@@ -64,8 +58,7 @@
           gvfs
 Conflicts: libgtk3.0-0
 Replaces: libgtk3.0-0
-Breaks: gnome-themes-standard (<< 3.3),
-        murrine-themes (<= 0.98.2)
+Breaks: gnome-themes-standard (<< 3.2)
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Description: GTK+ graphical user interface library
@@ -103,9 +96,7 @@
 Depends: ${misc:Depends}
 Recommends: libgtk-3-0
 Conflicts: libgtk3.0-common
-Breaks: libgtk-3-0 (<< 3.2.2-3)
-Replaces: libgtk3.0-common,
-          libgtk-3-0 (<< 3.2.2-3)
+Replaces: libgtk3.0-common
 Multi-Arch: foreign
 Description: common files for the GTK+ graphical user interface library
  GTK+ is a multi-platform toolkit for creating graphical user
@@ -141,11 +132,11 @@
          libgtk-3-common,
          ${misc:Depends},
          ${shlibs:Depends},
-         libglib2.0-dev (>= 2.31.18),
-         libgdk-pixbuf2.0-dev (>= 2.25.2),
-         libpango1.0-dev (>= 1.24),
-         libatk1.0-dev (>= 1.32.0),
-         libcairo2-dev (>= 1.9.10),
+         libglib2.0-dev (>= 2.32.0),
+         libgdk-pixbuf2.0-dev (>= 2.26.0),
+         libpango1.0-dev (>= 1.30.0),
+         libatk1.0-dev (>= 2.2.0),
+         libcairo2-dev (>= 1.10.0),
          libx11-dev (>= 2:1.0.0-6),
          libxext-dev (>= 1:1.0.1-2),
          libxinerama-dev (>= 1:1.0.1-4.1),
@@ -155,7 +146,10 @@
          libxfixes-dev (>= 1:3.0.0-3),
          libxcomposite-dev (>= 1:0.2.0-3),
          libxdamage-dev (>= 1:1.0.1-3),
-         pkg-config (>= 0.26-1)
+         pkg-config (>= 0.26-1),
+         libxml2-utils
+Recommends: python (>= 2.4),
+            debhelper
 Suggests: libgtk-3-doc
 Conflicts: libgtk3.0-dev
 Replaces: libgtk3.0-dev
@@ -165,8 +159,8 @@
  for projects ranging from small one-off tools to complete application
  suites.
  .
- This package contains the header and development files which are
- needed for building GTK+ applications.
+ This package contains the header files and static libraries which are
+ needed for developing GTK+ applications.
 
 Package: libgtk-3-0-dbg
 Section: debug
@@ -177,6 +171,7 @@
          ${misc:Depends}
 Conflicts: libgtk3.0-0-dbg
 Replaces: libgtk3.0-0-dbg
+Multi-Arch: same
 Description: GTK+ libraries and debugging symbols
  GTK+ is a multi-platform toolkit for creating graphical user
  interfaces. Offering a complete set of widgets, GTK+ is suitable
@@ -225,8 +220,22 @@
  This package contains the example files and a demonstration program
  for GTK+3.
 
+#Package: gtk3-engines-pixbuf
+#Section: graphics
+#Architecture: any
+#Depends: ${misc:Depends},
+#         ${shlibs:Depends},
+#         libgtk-3-0 (= ${binary:Version}),
+#         libgtk-3-common
+#Description: pixbuf-based theme for GTK+ 3.x
+# GTK+ is a multi-platform toolkit for creating graphical user
+# interfaces. Offering a complete set of widgets, GTK+ is suitable
+# for projects ranging from small one-off tools to complete application
+# suites.
+# .
+# This package contains the pixbuf theme engine.
+
 Package: gir1.2-gtk-3.0
-Section: introspection
 Architecture: any
 Depends: libgtk-3-common,
          ${misc:Depends},
