## gtk+3.0 3.4.2

=== debian/changelog ===
gtk+3.0 (3.4.2-0ubuntu0.5) precise-proposed; urgency=low

  * Add debian/patches/gtk-notebook.patch: Fix some keyboard navigation
    breakage with GTK Notebook issue, based with upstream level awailable fix
    in GTK+ 3.5.6. (LP: #1061419)

 -- Attila Hammer <hammera@pickup.hu>  Thu, 04 Oct 2012 09:07:10 +0200

gtk+3.0 (3.4.2-0ubuntu0.4) precise-proposed; urgency=low

  * debian/patches/git_gtkstatusicon_segfault.patch:
    - should fix segfault in status icon clients (lp: #926758)
  * debian/patches/git_get_property.patch:
    - "GtkImage: fix get_property('stock')"
  * debian/patches/git_api_documentation_tweaks.patch:
    - backported some api documentation updates

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 03 Jul 2012 19:59:58 +0200

gtk+3.0 (3.4.2-0ubuntu0.3) precise-proposed; urgency=low

  * debian/patches/git_layouts_handling.patch:
    - git patch to "fix handling of key events for different layouts",
      that should resolve the issues where changing layout was having no
      effect in the lockscreen (lp: #872701)
  * debian/patches/git_allow_null_id.patch:
    - "Really allow NULL application-id"
  * debian/patches/git_custom_tag_start.patch:
    - "Infobar not loadable by GTKBuilder"
  * debian/libgtk-3-0.symbols: list the new symbols

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 12 Jun 2012 19:52:10 +0200

gtk+3.0 (3.4.2-0ubuntu0.2) precise-proposed; urgency=low

  * debian/patches/101_revert_symbolic_icon_search.patch
    - Revert symbolic icon search changes from 3.4.2, it breaks the icon 
      displayed in indicator-power because of the order the icons are searched 
      in.  It looks like ubuntu-mono should drop the old icon names and  
      use the new -symbolic icons.  We need to carry this patch until           
      ubuntu-mono fixes it's handling of symbolic icons.  (LP: #1001229)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 18 May 2012 13:38:04 -0400

gtk+3.0 (3.4.2-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream version
    - Evince 3.4: adding new annotation is not possible (lp: #984878)
    - "Delete confirmation" dialog has wrong padding (lp: #981375)
  * git patches backported
  * git_touchpad_no_leave_event.patch:
    - "gdk: do not send leave event on touchpad button release"
  * git_filechooser_wm_role.patch:
    - "Set the wm_role on GtkFileChooserDialog"
  * git_set_orientation.patch:
    - "box: set orientation style classes when setting orientation"
  * git_dnd_lock.patch:
    - "GDK X11 DND: Fix infinite loop" (lp: #880962)

  [ Jeremy Bicha ]
  * settings.ini:
    Set gnome-panel menu-bar icon size to 24 so that Ubuntu logo
    for the Applications menu isn't set too small (LP: #986969)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 16 May 2012 12:25:50 +0200
