=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
                      libpango1.0-doc,
                      libcairo2-doc
 Standards-Version: 3.9.2
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gtk/ubuntugtk3
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gtk/gtk3precise
 Homepage: http://www.gtk.org/
 
 Package: libgtk-3-0
