=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 DEB_BUILDDIR = debian/build
 DEB_MAKE_DESTDIRSKEL = $(CURDIR)/debian/install/@FLAVOR@
-DEB_MAKE_FLAVORS = shared shared_udeb
+DEB_MAKE_FLAVORS = shared shared_udeb static
 DISABLE_UPDATE_UPLOADERS = 1
 
 include /usr/share/cdbs/1/rules/autoreconf.mk
@@ -23,7 +23,7 @@
 
 APIVER := 3
 SONAME := 0
-SHVER := 3.3.16
+SHVER := 3.3.18
 
 LIBDIR := usr/lib/$(DEB_HOST_MULTIARCH)
 
@@ -38,7 +38,6 @@
 
 # relative base directory for all types of modules
 MODULES_BASE_PATH := $(LIBDIR)/gtk-3.0/$(GTK_BINARY_VERSION)
-OLD_MODULES_BASE_PATH := usr/lib/gtk-3.0/$(GTK_BINARY_VERSION)
 
 # package names
 SHARED_PKG := libgtk-$(APIVER)-$(SONAME)
@@ -49,27 +48,32 @@
 BIN_PKG := libgtk-$(APIVER)-bin
 DEBUG_PKG := $(SHARED_PKG)-dbg
 EXAMPLES_PKG := gtk-$(APIVER)-examples
+PIXBUF_PKG := gtk3-engines-pixbuf
 
 
 DEB_CONFIGURE_EXTRA_FLAGS = \
 			--libdir=/$(LIBDIR) \
-			--enable-test-print-backend \
-			--enable-xinput
+			--enable-test-print-backend
 
 DEB_CONFIGURE_FLAGS_shared = \
 			--enable-gtk-doc \
 			--enable-shared \
-			--enable-introspection \
-			--enable-colord \
+			--enable-introspection=yes \
 			--disable-static
 
 DEB_CONFIGURE_FLAGS_shared_udeb = \
-			--disable-introspection \
-			--disable-colord \
+			--enable-introspection=no \
 			--disable-xcomposite \
 			--disable-xdamage \
 			--disable-xfixes \
 			--disable-xrandr
+
+DEB_CONFIGURE_FLAGS_static = \
+			--with-included-loaders=yes \
+			--enable-introspection=no \
+			--disable-modules \
+			--disable-shared \
+			--enable-static
 
 DEB_MAKE_CHECK_TARGET = -k check || true
 DEB_INSTALL_DOCS_ALL = AUTHORS
@@ -101,13 +105,13 @@
 		-e "s#@BIN_PKG@#$(BIN_PKG)#g" \
 		-e "s#@DEBUG_PKG@#$(DEBUG_PKG)#g" \
 		-e "s#@EXAMPLES_PKG@#$(EXAMPLES_PKG)#g" \
+		-e "s#@PIXBUF_PKG@#$(PIXBUF_PKG)#g" \
 		-e "s#@GNOME_TEAM@#$(UPLOADERS)#g" \
 		-e "s#@GTK_BINARY_VERSION@#$(GTK_BINARY_VERSION)#g" \
 		-e "s#@LIBDIR@#$(LIBDIR)#g" \
 		-e 's#@OPTLIBDIR@#$(OPTLIBDIR)#g' \
 		-e 's#@CONFDIR@#$(CONFDIR)#g' \
 		-e "s#@MODULES_BASE_PATH@#$(MODULES_BASE_PATH)#g" \
-		-e "s#@OLD_MODULES_BASE_PATH@#$(OLD_MODULES_BASE_PATH)#g" \
 		$@.in > $@
 
 clean:: debian/control
