=== debian/watch ===
version=3
http://download.gnome.org/sources/gtk+/([\d\.]+)/ \
	gtk\+-(.*)\.tar\.xz
